#56 closed defect (fixed)

librdbg asm uses invalid instructions for

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 2
Component: unspecified Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

m68k-rtems-gcc --pipe -B../../../../../../ -B../../../../../../mcf5206elite/lib/

-specs bsp_specs -qrtems -m5200 -m5200 -c -DASM -o o-optimize/rdbg_cpu_as

m.o ../../../../../../../../current/c/src/librdbg/src/m68k/any/../rdbg_cpu_asm.S
../../../../../../../../current/c/src/librdbg/src/m68k/any/../rdbg_cpu_asm.S: As
sembler messages:
../../../../../../../../current/c/src/librdbg/src/m68k/any/../rdbg_cpu_asm.S:119
: Error: invalid instruction for this architecture; needs 68000 or higher -- sta
tement `cmpiw #3,%d0' ignored
../../../../../../../../current/c/src/librdbg/src/m68k/any/../rdbg_cpu_asm.S:135
: Error: invalid instruction for this architecture; needs 68000 or higher -- sta
tement `cmpiw #47,%d0' ignored

Release:
rtems CVS

Environment:
mcf5206elite BSP

How-To-Repeat:
build with networking and rdbg enabled.

Attachments (1)

mcf5206e.rdbg.patch (983 bytes) - added by Joel Sherrill on Dec 3, 2006 at 1:31:13 PM.
mcf5206e.rdbg.patch

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Oct 27, 2001 at 2:36:42 PM by Joel Sherrill

Owner: changed from joel to Chris Johns

comment:2 Changed on Oct 30, 2001 at 5:29:09 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: Patch applied, compiled, and committed.

Changed on Dec 3, 2006 at 1:31:13 PM by Joel Sherrill

Attachment: mcf5206e.rdbg.patch added

mcf5206e.rdbg.patch

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.